Bug 1480 - [UPDATE REQUEST] mesa 9.0.1 MIB merge new features added
: [UPDATE REQUEST] mesa 9.0.1 MIB merge new features added
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 18:36 MSK by Alexander Khryukin
Modified: 2013-02-20 11:03 MSK (History)
5 users (show)

See Also:
RPM Package: mesa
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Report test mesa 901.odt (1.69 MB, application/vnd.oasis.opendocument.text)
2013-02-20 00:22 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Khryukin 2013-01-17 18:36:15 MSK
advisory: 
- added provision to build: osmesa library packages (enabled because it is needed by Wine 1.5.10+); wayland packages (enabled as in the standard packaging); radeonsi gallium driver (disabled for now because it needs the glamor library, not yet provided on Rosa 2012.1); opencl support for radeon (disabled for now because it needs llvm > 3.2 and libclc, not yet provided); support for the new glsl compiler for radeons (disabled for now because it needs llvm > 3.2);
- built also the drivers needed for VmWare (xa state tracker);
- built XvMC support and added a config file needed to having it actually work (but you will have to edit it according to your video card type: for instructions see the included README.XvMC file);
- removed vaapi build support and relevant patch and packages, because it was removed upstream;
- enabled, for testing purpose, some performance patches for r600g, taken from upstream: "make use of VRAM rather than GTT memory" and "re-enable discard_range handling";
- enabled the support of the texture-float feature, and hence the support for OpenGL 3.0 (3.1 on intel drivers).



https://abf.rosalinux.ru/build_lists/897624
https://abf.rosalinux.ru/build_lists/897625
Comment 1 Vladimir Potapov 2013-01-28 10:08:32 MSK
Please, rebuild (after the abf update, containers lost)
Comment 3 Alexander Burmashev 2013-02-18 13:23:32 MSK
While i do not want to earn something else credit, i want to REstart the QA procedure :)
advisory: 
- added provision to build: osmesa library packages (enabled because it is needed by Wine 1.5.10+); wayland packages (enabled as in the standard packaging); radeonsi gallium driver (disabled for now because it needs the glamor library, not yet provided on Rosa 2012.1); opencl support for radeon (disabled for now because it needs llvm > 3.2 and libclc, not yet provided); support for the new glsl compiler for radeons (disabled for now because it needs llvm > 3.2);
- built also the drivers needed for VmWare (xa state tracker);
- built XvMC support and added a config file needed to having it actually work (but you will have to edit it according to your video card type: for instructions see the included README.XvMC file);
- removed vaapi build support and relevant patch and packages, because it was removed upstream;
- enabled, for testing purpose, some performance patches for r600g, taken from upstream: "make use of VRAM rather than GTT memory" and "re-enable discard_range handling";
- enabled the support of the texture-float feature, and hence the support for OpenGL 3.0 (3.1 on intel drivers).

buildlists:
https://abf.rosalinux.ru/build_lists/941478
https://abf.rosalinux.ru/build_lists/941481
Comment 4 Vladimir Potapov 2013-02-18 15:35:08 MSK
The package route to the extended testing
Comment 5 Postnikov Dmitry 2013-02-18 16:10:35 MSK
Adopted.
It is a pity that no package QtGears or glxgears in RepositoryGG. We'll think of something.
Comment 6 Postnikov Dmitry 2013-02-18 20:57:45 MSK
(In reply to comment #3)

> buildlists:
> https://abf.rosalinux.ru/build_lists/941478
> https://abf.rosalinux.ru/build_lists/941481


In container wasn't there supposed to be the package libwayland-client0 (+64bit) and server ?
Comment 7 Andrey Bondrov 2013-02-19 14:17:14 MSK
(In reply to comment #6)
> (In reply to comment #3)
> 
> > buildlists:
> > https://abf.rosalinux.ru/build_lists/941478
> > https://abf.rosalinux.ru/build_lists/941481
> 
> 
> In container wasn't there supposed to be the package libwayland-client0
> (+64bit) and server ?

No. libwayland-client0 belongs to wayland, not to mesa.
Comment 8 Postnikov Dmitry 2013-02-20 00:22:44 MSK
Created attachment 1216 [details]
Report test mesa 901.odt

***************************
Extended testing report
***************************
Comment 9 Andrey Bondrov 2013-02-20 02:05:51 MSK
(In reply to comment #8)
> Created attachment 1216 [details]
> Report test mesa 901.odt
> 
> ***************************
> Extended testing report
> ***************************

Looks fine, I guess we can publish packages now.
Comment 10 Alexander Burmashev 2013-02-20 02:12:31 MSK
I can publish it any moment, should i ? :)
Comment 11 Postnikov Dmitry 2013-02-20 02:15:24 MSK
(In reply to comment #10)
> I can publish it any moment, should i ? :)

I don't have the rights to do that. The last "word" for Vladimir.
Comment 12 Vladimir Potapov 2013-02-20 10:26:32 MSK
mesa-9.0.1-2-rosa2012.1
****************** Advisory **********************
+ The new version includes several improvements to the graphics performance.
**************************************************
QA Verified